(* Функция notfound вывести сообщение об ошибке и выйти *)

uses linux;

function notfound(progname, filename: string):integer;
begin
  writeln(stderr, progname, ': файл ', filename, ' не найден');
  halt(1);
end;

var
  fd:integer;
begin
  if paramcount < 1 then
    halt(0);
  fd := fdopen (paramstr(1), 0, 0);
  if (fd = -1) then
      notfound (paramstr(0), paramstr(1));
  fdclose (fd);
end.